Welcome to Service Manager NT

Copyright (C) 1997 by Falk Schmal and Torsten Sprejz. All rights reserved.
HTML Help Version 1.3, last update 02/08/1998

Service Manager NT is a Windows NT Services Administration Utility. Its purpose to administer services from computers across all obtainable domains if you have the rights! Service Manager NT is a very useful utility for Network Manager, Advanced Users and Software Developers.

This program is freeware. As such, we give no warranty to its accuracy, fitness for any particular use, effects of use, or reliability. It may be freely distributed, although it must be distributed with all original files in their original format intact. Please contact the authors, Falk Schmal and Torsten Sprejz, at one of the email addresses with questions, comments, bug-reports or any updates you make to the program.

We need your help!
If you will translate Service Manager NT to your native language, see here ...

For more information about this software:
E-mail:
fsch@informatik.tu-cottbus.de or tsp@informatik.tu-cottbus.de

Home page:
http://www-rnks.informatik.tu-cottbus.de/~fsch

Please send bugreports, hints or critics to fsch@informatik.tu-cottbus.de

See also


features

Key features of Service Manager NT

Service Manager NT is a powerful tool to administer services on computers running Microsoft Windows NT across all obtainable domains. See the list below for the key features!

Handle services

It's very easy to start, stop, pause, continue, remove and restart services with Service Manager NT. All actions are made by simple mouse-clicking the complying button.

Service properties

See more properties than by the original tool from Microsoft with the same rights! You can edit various service properties:

  • startup type

  • error level

  • group

  • tag value

  • attributes like services running in it's own process or shares a process with other services and interaction with the desktop

  • account

  • dependencies

  • wait time

Monitoring

You can monitoring the service status in realtime. Some nice small icons shows the current status.

Remote computing

A very special feature is remote computing. You can administer services from computers in all obtainable Microsoft Network domains. You can administer the services in all computers in various domains, if you know an account and the complying password, which have the rights to administer services.

Now it's possible to reach computers with directly input of the name or the IP-adress in the following convention: \\name or \\xxx.xxx.xxx.xxx!

Multiple language support

Service Manager NT supports multiple languages. At this time the following languages are available:

  • english

  • german (Deutschland)

  • swedish (Svenska)

  • flaemish (Netherland)

  • german (Switzerland)

  • german (Austria)

Some other languages are planned, thats why we need your help!


Requirements

System Requirements

Service Manager NT is designed for 32-bit operating systems running Windows NT 4.0. Windows 3.1 and Windows 95 are not supported, because the needed functionality isn't available. With further versions from Windows NT we can't guarantee the functionality, but if it's necessary, we will update this software.

Service Manager NT system requirements:

  • 486 processor or faster (Pentium or more recommended)

  • 16 MB RAM or more (32 or more are recommended)

  • 32-bit operating system Microsoft Windows NT 4.0 (possibly Windows NT 3.51/NTrigue 3.5 are supported, but no completly tested!)

  • network support for remote computing

  • app. 2 MB free disk space

Help system requirements:

  • Microsoft Internet Explorer 3.02 or later (4.0 is recommended for full HTML functionality)

See Also
Tips for using New HTML Help


License Agreement

Read carefully all terms of this License agreement before using this software. If you do not agree with any term of this agreement, stop using this software immediately.

  1. The authors grants to you a non-exclusive, non-sublicense, license to use this version of Service Manager NT for the beta test phase. Once this period expires, you will have to get the full version of this software from http://www-rnks.informatik.tu-cottbus.de/~fsch.

  2. The authors makes no representations about the suitability of this software. The Software is provided "As Is" without express or implied warranties, including warranties of merchantability and fitness for a particular purpose or noninfringement. This Software is provided gratuitously and accordingly, the author shall not be liable under any theory or any damages suffered by you or any user of the Software.

  3. The authors grants you the right to redistribute this software, as long as you are not charging ANY money for it, the distribution files are kept together and unmodified and the authors were asked for distribution.


History

08/03/1997 first public release (thanks 2 Karsten for alpha testing)

08/10/1997 Beta 1:

  • solve some problems with language support (thanks 2 Artur Oliveira)

  • some little changes on GUI

  • work on 3dr PropertyPage (still under construction - there is no saving the properties in Page 2 and 3)

09/19/1997 Beta 2:

  • now disabled services cannot started

  • new icon for disabled services

  • change some small things on 2nd and 3rd PropertyPage, but already not ready

  • better language support

  • support for error messages

  • better error management

09/22/1997 Beta 3:

  • the Service display list would not be reset to the beginning of the list after each operation that is performed on a service (Thanks 2 Ted Schlinker)

  • internal rework at the access right management

  • now support for pending

  • support for error messages

  • better error management

10/27/1997 Beta 4:

  • new optimized GUI

  • now you can reach all attainable domains and their computers

  • "Restart" Button (wishes from M. Guddat, A. Tschentscher)

  • internal code rework

12/22/1997 Release 1.0:

  • new optimized propertypages for dependecies

  • full working service dependencies

  • if you logon onto a computer you can choose users from the userlist

  • rename the executabel from srvmgr.exe to svcmgr.exe because the Server Manager from Microsoft has the same executable name

  • hyperlink to the NT Tools Website in About Dialog

  • internal code rework (prepared for Pro Version)

  • complete language support for german and english

  • help file

12/22/1997 Release 1.1:

  • problem solved with machines that network support not properly installed

  • updated help file

01/08/1997 Release 1.2:

  • solved memory management error

  • Translated to Swedish by: Oden L. Eriksson, Website: http://www.algonet.se~fuzzbox/ or http://www.snr.se/

12/01/1998 Release 1.21:

  • Translated to Dutch by Casus Software Development

15/01/1998 Release 1.22:

  • small internal code rework

22/01/1998 Release 1.23:

  • now people from Austria and Switzerland can use Service Manager NT in german language

08/02/1998 Release 1.3:

  • Now it's possible to reach computers with directly input of the name or the IP-adress in the following convention: \\name or \\xxx.xxx.xxx.xxx!


Start

Getting Started

The best way to work with Service Manager NT is trying yourself or following the Quick Tour.

To view the Quick Tour online:

You can use this tour online by clicking the pages on the left side to move from one lesson to the next (make sure to do them in order).

On to your first lesson ...


Start Service Manager NT

Basic Lessons

Starting Service Manager NT

Let's start our first time!

To start Service Manager NT:

  • Start Service Manager NT. (One way to start Service Manager NT is by double-clicking the Service Manager NT icon on your desktop; Another way is: from Windows NT Task bar, click Start:Programs:Service Manager NT)

Now going to select the wished domain ...


Basic Lessons

Selecting a domain

At first you must select a domain. You can work with all domains you can reach with your computer.

Please notice that only Microsoft Network Domains are supported. Thats why there must installed NetBIOS!

To select a domain:

  • Click on the Button "Domain Scan"

  • Select from the menu the wished domain by clicking on it

now you can select the computer from this domain ...


Basic Lessons

Selecting a Computer

And now you must select a computer. You can only select Computers running Microsoft Windows NT. All other computers were hidden.

Please notice, there are some problems with servers running Samba or NTrigue 3.5 from Citrix! These server gives wrong identifier, so it's possible, you can see these servers in our list, but you can't administer the services. This isn't an error from Service Manager NT!

To select a computer:

  • Click on the Button "Computer Scan"

  • Select from the menu the wished domain by clicking on it

  • if you know the name or the IP-addess of the computer, enter it into the edit field computer with following convention: \\name or \\xxx.xxx.xxx.xxx

If you have not the access rights to administer services on these computer, you will get a message about this fact. Now you must logon on this computer. Look for this here ...

now you can administer the services ...


Basic Lessons

Service List

Now you can take a look at the service List on the selected computer in the selected domain.

At the left side you can see the Display Name and on the other side the Key Name. With the scrollbar at the right side you can scroll truh the service list.

How can i adept the current state of a service:

  • The current state of a service is symbolized by some small icons on the left side. In real time you can see the current state.

A service is runnin g:

  • The service is running.

A service is stopping:

  • The service is stopped.

A service is paused:

  • The service is paused.

A service is pending:

  • The service is pending.

A service is disabled:

  • The service is disabled.

Now the selected service can administer by taking various operations by clicking the following buttons:

  • get the service properties

  • refresh the service list

  • starts the selected service

  • stopps the selected service

  • pause the selected service

  • continue the selected service

  • restart the selected service (the action stop and start with one action)

  • set the delete mark

If you want help, you must press Help. The copyright information are available under About. Exit the program by pressing Exit.

The next lesson shows you, how you can get the properties from a service ...


Basic Lessons

Service Properties

To get the service properties you must double click on the wished entry in the service list or mark the wished entry and press the button Properties.

The you will see this dialog window:

You can see the following service properties without the oportunity to change them:

key name: this entry is the string that names a service in a service control manager database

tag value: Specifies a unique tag value for this service in the group specified by the Group parameter. A value of zero indicates that the service has not been assigned a tag. You can use a tag for ordering service startup within a load order group by specifying a tag order vector in the registry located at:

HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\GroupOrderList

wait time: An estimate of the amount of time, in milliseconds, that the service expects a pending start, stop, or continue operation to take before the service makes its next call to the Service.SetServiceStatus method with either an incremented CheckPoint value or a change in CurrentState. If the amount of time specified by WaitHint passes, and CheckPoint has not been incremented, or CurrentState> has not changed, the service control manager or service control program can assume that an error has occurred.

current state: The current state of the service. This can be one the following values:

  • stopped: The service is not running.

  • start pending: The service is starting.

  • stop pending: The service is stopping.

  • running: The service is running.

  • continue pending: The service continue is pending.

  • pause pending: The service pause is pending.

  • paused: The service is paused.

checkpoint: A value that the service increments periodically to report its progress during a lengthy start, stop, or continue operation. For example, the service should increment this value as it completes each step of its initialization when it is starting up. The user interface program that invoked the operation on the service uses this value to track the progress of the service during a lengthy operation. This value is not valid and should be zero when the service does not have a start, stop, or continue operation pending.

The following service properties you can change:

display name: string that is to be used by user interface programs to identify the service

path: string that contains the fully qualified path to the service binary file

start type: Specifies when to start the service. One of the following values is specified:

  • Automatic: Specifies a device driver or Win32 service started by the service control manager automatically during system startup.

  • Unknown: Unknown start type.

  • Manuel: Specifies a device driver or Win32 service started by the service control manager when a process calls the StartService function.

  • Disabled: Specifies a device driver or Win32 service that can no longer be started.

error level: Specifies the severity of the error if this service fails to start during startup, and determines the action taken by the startup program if failure occurs. One of the following values can be specified:

  • Unknown: unknown error level

  • Ignore: The startup (boot) program logs the error but continues the startup operation.

  • Normal: The startup program logs the error and displays a message box pop-up but continues the startup operation.

  • Severe: The startup program logs the error. If the last-known good configuration is being started, the startup operation continues. Otherwise, the system is restarted with the last-known-good configuration.

  • Critical: The startup program logs the error, if possible. If the last-known good configuration is being started, the startup operation fails. Otherwise, the system is restarted with the last-known good configuration.

group: A string that names the load ordering group of which this service is a member.

attribute: includes one of the following service type flags to indicate the type of service:

  • service run its own process: A service type flag that indicates a Win32 service that runs in its own process. (SERVICE_WIN32_OWN_PROCESS)

  • service shares a process with other services: A service type flag that indicates a Win32 service that shares a process with other services. (SERVICE_WIN32_SHARE_PROCESS)

  • Windows NT kernel device driver: A service type flag that indicates a Windows NT device driver.

  • Windows NT file system driver: A service type flag that indicates a Windows NT file system driver.

  • service can interact with the desktop: A flag that indicates a Win32 service process that can interact with the desktop.

Account Name: A string that names the service. If the service type is SERVICE_WIN32_OWN_PROCESS, use an account name in the form DomainName\UserName. The service process will be logged on as this user. If the account belongs to the built-in domain, you can specify .\UserName. If the service type is SERVICE_WIN32_SHARE_PROCESS you must specify the LocalSystem account. By default Service Manager uses the LocalSystem account.

password: A string that contains the password to the account name specified by the Account Name parameter. If the value an empty string, the service has no password. Passwords are ignored for driver services. If Account Name is LocalSystem, the password must be NULL.

The next lesson shows you, how you can show and edit the dependencies from a service ...


Basic Lessons

Service Dependencies

To get the service dependencies you must double click on the wished entry in the service list or mark the wished entry and press the button Properties. There you must select the property page Dependencies.

The you will see this dialog window:

These 4 pages shows you the dependencies.

  • only selected: The selected services depends from the listed entries.

  • Service: The entries in this list are all available services on the selected computer expect the selected service. If the selected service depends on the listed entries, then it's marked as dependent.

  • Device: The entries in this list are all available devices on the selected computer expect the selected devices. If the selected service depends on the listed entries, then it's marked as dependent.

  • Group: The entries in this list are all available groups on the selected computer expect the selected groups. If the selected service depends on the listed entries, then it's marked as dependent.

You can add or remove dependencies by double clicking on the relevant entry. In the action list you can see the operation:

  • dependent: This entry is dependet of these service.

  • add: This entry will be dependent of this service.

  • remove: This dependent entry will be removed from dependencies.

now we are ready ...


Tips for use HTML help

Tips for using Service Manager NT online HTML Help

In this Help system, you will find explanations of the many features in Service Manager NT. It is designed to display in Microsoft's HTML Help window. This help file is build with the new HTML Help system from Microsoft shipping in further operating system like Windows 98 and NT 5. If you do not have the HTML Help window components installed on your system, it will appear in your default browser. For complete functionality, use Microsoft's Internet Explorer 4.0 browser.

Tips for using Service Manager NT online HTML Help:

  • This system is best viewed if the Windows Verdana font is installed on your system.

  • When viewing Help, you can maximize the HTML Help window or resize it to suit your liking.

  • Click the Hide or Show navigation icons to view or hide the TOC, Index, and Search tabs.

  • Click Print to print topics. The Print dialog provides options for printing the current topic, everything contained in a current heading (based on the item selected at the TOC), or everything in the Help system. You can also right-click inside the topic frame and select Print from the popup menu.

  • The Options menu provides additional browse and navigation controls.

  • HTML allows books in the TOC to display topics. Note that most overview topics are displayed from the top-level book in a group.

  • Many topics include a Related Topics button at the end of the text that displays a popup menu of related topics that you can click and go to.

  • For the latest compiled HTML Help file (.CHM), download it from NT Tools Web site. To use it, simply replace the existing .CHM file in your ServiceManager folder with the new file.

About Service Manager’s online tutorial

Service Manager NT includes an online tutorial, "Service Manager NT Quick Tours," to get you started with working. You can open it by selecting Tutorial from the Help button after Service Manager NT is started. The tutorial is intended to be displayed in Microsoft's HTML Help window (the required files are copied to your system during Service Manager’s installation).


What's Next?

Here are some suggestions for future plans. If you have some other suggestions or wishes, please contact us. Notice, some features were implemented on special wishes by certain users. This software is a software from and to users.

  • more languages (if you will translate Service Manager NT to other languages, please see here ...)

  • starting services with parameters

  • attach debugger to services

  • implement same functionality for devices

  • install services from Service Manager NT

  • application install / deinstall


More Languages

Language Support

Here you can see which language are supported or will be supported! If you will support your native language, look for supported or planned languages. If your language doesn't exist, contact the authors. Thank you!

supported languages:

  • english: F. Schmal

  • german (Deutsch): F.Schmal

  • swedish: (Svenska) Oden L. Eriksson

looking for:

  • other languages

How can i support other languages?

Please contact fsch@informatik.tu-cottbus.de. If the language you will translate, not available, i will give you a textfile with all strings in english. You must translate these strings and send the textfile to me. Then i will build one language more.


About

About Service Manager NT

Here you can get information about the copyright and how you can reach the authors.

If you want send an email to one of the authors, press on the name of the author and your standard mail tool will open. The NT Tools Website you can directly reach by pressing Visit the NT Tools Website. Contextsensitive information about the Mail or URL you can get by right clicking the highlighted text.


Logon

Basic Lessons

Logon on a computer

If you haven't the access rights to administer services on the selected computer, you must logon with an valid account and a valid password.

Service Manager NT looks for your account and your access rights. If you have enough access rights, the service list will display the services. Principles, on every computer with the same account and the same password you will see the services. For example, the "Administrator" account has the same password at all machines, you can administer all these machines if you logon as these account with the correct password!

To logon on a computer:

  • Press the Button "Logon"

  • The following dialog box will be opened:

  • the current computer will be displayed int he field Computer

  • select the account by wrtiting the name in this field or press the button

  • if you pressed this button, you will get the following dialog box:

  • select the user and press ok

  • now you can input the password

  • after pressing OK, you were logged into the computer

now you can administer the services ...


Professional Version

We have decided that some options will be available only in an upcoming Professional Version. This Version will be available in the next time.

Please have a look on our website from time to time.


ready

You're finished!

The lesson are finished.

If you have some questions, please contact the authors via email or visit the NT Tools Website.